

/* 
 *  Licensed Materials - Property of IBM
 *  Use Restricted Material of IBM - please refer to the "Samples Code" terms and conditions in the IBM International Program License Agreement (IPLA).
 *  IBM Rational Test RealTime
 *  (c) Copyright IBM Corp. 2003-2007 All Rights Reserved.
 *
 *  US Governement Users Restricted Rights - Use, duplication or
 *  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */



package baseStation;

public class HardwareMonitor extends Thread
{	
	private LogServer _logServer;

	public HardwareMonitor()
	{
		super("Hardware Monitor");
	}

	public void setLogServer(LogServer logServer)
	{
		_logServer=logServer;
	}

	public void run()
	{
		while (true)
		{
			_logServer.log("HardDisk ok");
			_logServer.log("Network board ok");
			_logServer.log("CPU temperature ok");
			try 
			{
				sleep(3000);
			}
			catch (Exception e)
			{
				System.out.println(e);
			}
		}
	}
}

