

/* 
 *  Licensed Materials - Property of IBM
 *  Use Restricted Material of IBM - please refer to the "Samples Code" terms and conditions in the IBM International Program License Agreement (IPLA).
 *  IBM Rational Test RealTime
 *  (c) Copyright IBM Corp. 2003-2007 All Rights Reserved.
 *
 *  US Governement Users Restricted Rights - Use, duplication or
 *  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */



package baseStation;

import java.util.Vector;

public class LogServer extends Thread
{
	private Vector _log;

	public LogServer()
	{
		super("Log Server");
		_log = new Vector();
	}

	public void dumpLog()
	{
		// dump log to hard drive
		_log.clear();
		System.gc();
	}

	public void checkLog()
	{
                int x,y;
		// Tutorial info
		// This method is time consuming
		// A way to speed up the application is to 
		// Comment out the following line of code
                for (x=1,y=100000;x<100000;x++) y=y/x;
		if (_log.size()>20)
		{
			dumpLog();
		}
	}

	public void run()
	{
		while (true)
		{
			checkLog();
			try 
			{
				sleep(2000);
			}
			catch (Exception e)
			{
				System.out.println(e);
			}
		}
	}

	public void log(String message)
	{
		try
		{
			_log.add(message);
		}
		catch (Exception e)
		{
			System.out.println(e);
		}
	}
}
