

/* 
 *  Licensed Materials - Property of IBM
 *  Use Restricted Material of IBM - please refer to the "Samples Code" terms and conditions in the IBM International Program License Agreement (IPLA).
 *  IBM Rational Test RealTime
 *  (c) Copyright IBM Corp. 2003-2007 All Rights Reserved.
 *
 *  US Governement Users Restricted Rights - Use, duplication or
 *  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */



package baseStation;

import java.util.Vector;
 
public class PhoneNumber
{
	private Vector _numbers;
	private boolean _empty;
	private int _maxSize;

	public class isEmpty extends Exception
	{
	}

	public class isFull extends Exception
	{
	}

	public PhoneNumber(int maxSize)
	{
		_numbers=new Vector();
		_empty=true;
		_maxSize=maxSize;
	}

	public String toString()
	{
		StringBuffer s=new StringBuffer("");
		int i;
		for (i=0;i<_numbers.size();i++)
			s.append(_numbers.elementAt(i).toString());
		return(s.toString());
	}

	public void addDigit(int num) throws PhoneNumber.isFull
	{
		if (_numbers.size()<_maxSize)
		{
		 _numbers.add(new Integer(num));
		 _empty=false;
		}
		else
		{
			throw new PhoneNumber.isFull();
		}
	}

	public void removeDigit() throws PhoneNumber.isEmpty
	{
		if (!_empty)
		{
		// Tutorial info
		// the following line of code contains a defect
		// should be fixed as follows:
		// _numbers.removeElementAt(_numbers.size()-1);
		 _numbers.removeElementAt(0);
		 if (_numbers.size()==0)
		 {
			_empty=true;
		 }
		}
		else
		{
			throw new PhoneNumber.isEmpty();
		}
	}

	public void cleanNumber()
	{
		_numbers.removeAllElements();
		_empty=true;
	}

	public boolean isEmpty()
	{
		return(_empty);
	}
}
